Issue 121463 - Enhance visualization of handles
Enhance visualization of handles
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Armin Le Grand
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-11 12:49 UTC by Armin Le Grand
Modified: 2013-07-12 16:33 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Armin Le Grand 2012-12-11 12:49:36 UTC
ALG: This is about enhancing the User Experience by offering better UI visualisations for the handles which are used to visualize object selection and interaction. These split in three variations
- Normal
- Enhanced
- HighContrast
and come for handles, Anchors and crop handles. These use bitmaps, so it is not too hard to offer better/nicer UI handles.

Currently the alpha channel is not really used, but only a mask since these bitmaps are fetched from the ressource system.
Comment 1 Armin Le Grand 2012-12-11 12:55:31 UTC
ALG: Taking over.

I have solved the ressource problem, it is now possible to use the full alpha channel. Thus, I propose to add some better edge smoothing and some transparence to allow to see stuff evtl. covered by the handles (e.g. the anchors in SW/SC).

I propose to keep all three themes, but to use the enhanced one as default. The user will still have the choice to use simpler handles if he wants. Anyways, the proposed enhanced handles will be much simpler than the 3D handles used up to now.

Handles come in two sizes which the user can choose. I propose to keep this selection possibility, but to use the bigger handles as default due to the increased (and still increasing) resolutions as of todays displays.

I have adapted the handles for all themes, using Draw and the 3D engine massively. I will add the new handle bitmaps and the draw document which shows how I generated them (for whom it may interest). To make it easier to take a look, I will also add previews as draw document and bitmaps.
Comment 2 Armin Le Grand 2012-12-11 13:10:12 UTC
ALG: You can find the following files under the link http://people.apache.org/~alg/:

The handles:
 markers.png        : Normal version 
 markers2.png       : Enhanced version
 markersACC.png     : HighContrast version

cropmarkers.png     : Normal
cropmarkers2.png    : Enhanced
cropmarkersACC.png  : HighContrast


buttons.odg : The draw doc I used to create the buttons. May be interesting for some to see what draw can do ;-)

OldNew.odp : Draw doc containing some bitmaps showing diffs
OldNew.png : Same as above, but as bitmap to make things easier

Of course the handle design is a quesion of taste; I have midified the used handles carefully and not too much, but these are much more pleasing in all day usage. Remember that the handles are where the user's focus is most of the time.
Comment 3 Regina Henschel 2012-12-11 13:59:29 UTC
I get a "Forbidden" for files OldNew.odp, OldNew.png and buttons.odg.
Comment 4 Armin Le Grand 2012-12-11 14:00:22 UTC
ALG: Added missing support to make the CustomShape handles (the yellow ones) work when travelling the handles by keyboard (CTRL+TAB or CTRL+SHIFT+TAB). Works well. Before, the handle with the focus was not visualized by blinking, so the user had no clue if the handle *had* the focus or not.
Comment 5 Armin Le Grand 2012-12-11 14:02:38 UTC
ALG: @Rwegina: thanks, changed :-)
Comment 6 Armin Le Grand 2012-12-11 15:58:30 UTC
ALG: Made the crop handles lighter, also added white to the rotation center handle to make it visible in all cirumstances. Thanks to Regina for this Hints!
Comment 7 Armin Le Grand 2012-12-12 11:41:42 UTC
ALG: Corrected anchor visualisation to be independent of big handles, this showed the pressed anchor. This will now use the selected state which Writer sets during anchor dragging.
Comment 8 SVN Robot 2012-12-13 09:48:00 UTC
"alg" committed SVN revision 1421172 into trunk:
#121463# Enhanced handle visualization and some fixes in that region
Comment 9 Armin Le Grand 2012-12-13 10:10:18 UTC
ALG: Comitted for now, but keeping open for evtl. reactions and further corrections.
Comment 10 Armin Le Grand 2012-12-19 12:08:35 UTC
ALG: Okay, acceptance seems good. Setting to resolved.